Package org.apache.torque.generator.source

## Class SourcePathTest

- java.lang.Object
- - org.apache.torque.generator.source.SourcePathTest

-     public class SourcePathTest
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SourcePathTest.Child` |
    `static class` | `SourcePathTest.Root` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SourcePathTest()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `assertSamePointer​(SourcePathPointer expected, SourcePathPointer actual)` |
    `void` | `setUp()` |
    `void` | `testGetElementFromRootParentInMiddle()` |
    `void` | `testGetElementFromRootSingleAbsoluteElement()` |
    `void` | `testGetElementFromRootSingleAbsoluteElementNoMatch()` |
    `void` | `testGetElementFromRootSingleRelativeElement()` |
    `void` | `testGetElementFromRootSingleRelativeElementNoMatch()` |
    `void` | `testGetElementFromRootWildcardAtStart()` |
    `void` | `testGetElementFromRootWildcardInMiddle()` |
    `void` | `testGetElementFromRootWithSlash()` |
    `void` | `testGetFollowing()` |
    `void` | `testGetFollowingNoMatch()` |
    `void` | `testGetPath()` |
    `void` | `testGetPathInfiniteLoop()` |
    `void` | `testGetPreceding()` |
    `void` | `testGetPrecedingNoMatch()` |
    `void` | `testIteratePointerGetChildRootNull()` |
    `void` | `testIteratePointerGetChildRootSameAsBase()` |
    `void` | `testIteratePointerGetParent()` | Test that we can iterate over the parent element.
    `void` | `testIteratePointerGetRoot()` |
    `void` | `testIteratePointerGetRootBaseNull()` |
    `void` | `testIteratePointerModelListChainedAttribute()` |
    `void` | `testIteratePointerModelListChainedAttributeIntermediateBase()` |
    `void` | `testIteratePointerModelListDotWithBaseField()` |
    `void` | `testIteratePointerModelListField()` |
    `void` | `testIteratePointerModelListProperty()` |
    `void` | `testIteratePointerModelListPropertyWithIndex()` |
    `void` | `testIteratePointerModelPublicListWithIndex()` |
    `void` | `testIteratePointerModelStringField()` |
    `void` | `testIteratePointerModelStringFieldAndGetter()` |
    `void` | `testIteratePointerModelStringFieldRootNull()` |
    `void` | `testIteratePointerModelStringGetter()` |
    `void` | `testIteratePointerModelStringSelf()` |
    `void` | `testIteratePointerNotDefaultParent()` | Test that we can iterate over path where the parent element of the matching elements is not the primary parent element.
    `void` | `testIteratePointerSeveralMatches()` |
    `void` | `testIteratePointerSeveralMatchesintermediateBase()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SourcePathTest

          public SourcePathTest()

  - ### Method Detail

    - #### setUp

          public void setUp()

    - #### testGetPath

          public void testGetPath()
                           throws GeneratorException

      Throws:
        `GeneratorException`

    - #### testGetPathInfiniteLoop

          public void testGetPathInfiniteLoop()
                                       throws GeneratorException

      Throws:
        `GeneratorException`

    - #### testGetElementFromRootWithSlash

          public void testGetElementFromRootWithSlash()

    - #### testGetElementFromRootSingleRelativeElement

          public void testGetElementFromRootSingleRelativeElement()

    - #### testGetElementFromRootSingleRelativeElementNoMatch

          public void testGetElementFromRootSingleRelativeElementNoMatch()

    - #### testGetElementFromRootSingleAbsoluteElement

          public void testGetElementFromRootSingleAbsoluteElement()

    - #### testGetElementFromRootSingleAbsoluteElementNoMatch

          public void testGetElementFromRootSingleAbsoluteElementNoMatch()

    - #### testGetElementFromRootWildcardAtStart

          public void testGetElementFromRootWildcardAtStart()

    - #### testGetElementFromRootWildcardInMiddle

          public void testGetElementFromRootWildcardInMiddle()

    - #### testGetElementFromRootParentInMiddle

          public void testGetElementFromRootParentInMiddle()

    - #### testGetPreceding

          public void testGetPreceding()

    - #### testGetPrecedingNoMatch

          public void testGetPrecedingNoMatch()

    - #### testGetFollowing

          public void testGetFollowing()

    - #### testGetFollowingNoMatch

          public void testGetFollowingNoMatch()

    - #### testIteratePointerGetRoot

          public void testIteratePointerGetRoot()

    - #### testIteratePointerGetRootBaseNull

          public void testIteratePointerGetRootBaseNull()

    - #### testIteratePointerGetChildRootSameAsBase

          public void testIteratePointerGetChildRootSameAsBase()

    - #### testIteratePointerGetChildRootNull

          public void testIteratePointerGetChildRootNull()

    - #### testIteratePointerSeveralMatches

          public void testIteratePointerSeveralMatches()

    - #### testIteratePointerSeveralMatchesintermediateBase

          public void testIteratePointerSeveralMatchesintermediateBase()

    - #### testIteratePointerNotDefaultParent

          public void testIteratePointerNotDefaultParent()

      Test that we can iterate over path where the parent element of the matching elements is not the primary parent element.

    - #### testIteratePointerGetParent

          public void testIteratePointerGetParent()

      Test that we can iterate over the parent element.

    - #### testIteratePointerModelStringSelf

          public void testIteratePointerModelStringSelf()

    - #### testIteratePointerModelStringField

          public void testIteratePointerModelStringField()

    - #### testIteratePointerModelStringFieldRootNull

          public void testIteratePointerModelStringFieldRootNull()

    - #### testIteratePointerModelStringGetter

          public void testIteratePointerModelStringGetter()

    - #### testIteratePointerModelStringFieldAndGetter

          public void testIteratePointerModelStringFieldAndGetter()

    - #### testIteratePointerModelListField

          public void testIteratePointerModelListField()

    - #### testIteratePointerModelListDotWithBaseField

          public void testIteratePointerModelListDotWithBaseField()

    - #### testIteratePointerModelListProperty

          public void testIteratePointerModelListProperty()

    - #### testIteratePointerModelListPropertyWithIndex

          public void testIteratePointerModelListPropertyWithIndex()

    - #### testIteratePointerModelListChainedAttribute

          public void testIteratePointerModelListChainedAttribute()

    - #### testIteratePointerModelPublicListWithIndex

          public void testIteratePointerModelPublicListWithIndex()

    - #### testIteratePointerModelListChainedAttributeIntermediateBase

          public void testIteratePointerModelListChainedAttributeIntermediateBase()

    - #### assertSamePointer

          public static void assertSamePointer​(SourcePathPointer expected,
                                               SourcePathPointer actual)